<?php
//funkcia na kontrolu povolenych znakov v poliach pri zadavani noveho uzivatela
//funkcia berie ako parameter retazec na kontrolu a regularny vyraz ktorym sa ma retazec kontrolovat(teda povolene znaky v str)
//min je minimalna povolena dlzka retazca
//max je maximalna povolena dlzka retazca
//parametre okrem str su volitelne :)
function check_var($str,$v="",$min="",$max=""){
	if(!isset($min)) $min=4;
	if(!isset($max)) $max=30;
	if(!is_numeric($min)) $min=4;
	if(!is_numeric($max)) $max=50;
	if(!isset($v)) $v="";
	$str_=$str;
	//kontrola nepovolenych znakov
	$err=0;
	if(trim($v)==""){
		$vzor ='/[^A-Za-z0-9\.\-\_]/';//regularny vyraz
	}else{
		$vzor=$v;	
	}
	//porovnam reg vyraz s retazcom touto funkciou a nasledne nastavim chybu
	if(preg_match($vzor,$str_)) {
		$err=1;
		//echo("CHYBA V ZNAKU RETAZCA!");
	}
	if(strlen(trim($str_))<$min || strlen(trim($str_))>$max) {
		$err=1;
		//echo("CHYBA V DLZKE RETAZCA!");
	}
	//ak nastala chyba vratim 0 inak je vsetko ok retazce su ok, vratim 1
	if($err==1){
		return 0;
	}else{
		return 1;
	}	
}

//funkcia pre kontrolu obsahu sessions
function check_sess($user,$sid){
	//odstranenie tagov a sql injekcie
	$user_=htmlentities(strip_tags($user));
	$sid_=htmlentities(strip_tags($sid));
	//kontrola nepovolenych znakov
	$err=0;
	$vzor ='/[^A-Za-z0-9\.\-\_]/';
	if(preg_match($vzor,$user_)) $err=1;
	if(preg_match($vzor,$pass_)) $err=1;
	if(strlen(trim($user_))<4 || strlen(trim($user_))>30) $err=1;
	if(strlen(trim($sid_))<4 || strlen(trim($sid_))>150) $err=1;
	if($err==1){
		return 0;
	}else{
		return 1;
	}
}

function check_mail($email){
		$regexp = "/^[^0-9][A-z0-9_]+([.][A-z0-9_]+)*[@][A-z0-9_]+([.][A-z0-9_]+)*[.][A-z]{2,4}$/";
		if (preg_match($regexp, $email)) {
			return 1;
		} else {
			return 0;
		}
}

function check_date_old($datum){
 if(preg_match('/^[0-9]{4}-(0[1-9]|1[0-2])-(0[1-9]|[1-2][0-9]|3[0-1])$/', $datum)){
     return 1;
 }else{
     return 0;
}
}

//upravena check_date mnou
function check_date($datum){
 if(preg_match('/^[0-9]{4}-[0-9]{2}-[0-9]{2}$/', $datum)){
     return 1;
 }else{
     return 0;
}
}

function zalom_link($linkstr){
	$lnd="";
	if(strlen($linkstr)>50){
				  //ak ma link viac ako 50 znakov, tak ho pozalamuj na riadky
				  $pz=strlen($linkstr);//pocet znakov
				  $c=floor($pz/50);
				  $z=$pz%50;  
				  for($i=1;$i<=$c;$i++){
					   (int)$zacni=50*($i-1);					   					 
					   $lnd.=substr($linkstr,$zacni,50)."<br>";
				  }
				  $zacni=50*$c;				
				  $lnd.=substr($linkstr,$zacni,$pz);			   
			  }else{
				  $lnd=$linkstr;
			  }
	return $lnd;
}
?>
